"use strict";

const isNonEmptyString = require("@validatem/is-non-empty-string");
const isInteger = require("@validatem/is-integer");
const isMXC = require("@modular-matrix/is-mxc-url");

module.exports = {
	url: [ isMXC ],
	displayWidth: [ isInteger ],
	displayHeight: [ isInteger ],
	mimetype: [ isNonEmptyString ],
	filesize: [ isInteger ],
};
